## org.eclipse.ocl.expressions.operations
Class PropertyCallExpOperations

    java.lang.Object
      org.eclipse.ocl.expressions.operations.PropertyCallExpOperations

    public class PropertyCallExpOperations

extends Object

A static utility class that provides operations related to 'Property Call Exp' model objects.

The following operations are supported:

- `Check Property Type`

Constructor Summary
`protected` `PropertyCallExpOperations()`

Method Summary

`static

`<C,P> boolean`

`

`checkPropertyType(PropertyCallExp<C,P> propertyCallExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
type = referredProperty.type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyCallExpOperations

    protected PropertyCallExpOperations()

Method Detail

### checkPropertyType

    public static <C,P> boolean checkPropertyType(PropertyCallExp<C,P> propertyCallExp,
                                                  DiagnosticChain diagnostics,
                                                  Map<Object,Object> context)

  type = referredProperty.type

  Parameters:
    `propertyCallExp` - The receiving 'Property Call Exp' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.